## libmawk 1.0.0

=== src/Makefile ===
all:
	cd libmawk && $(MAKE)
#	cd example_apps && $(MAKE) all

test:
	cd libmawk && $(MAKE) test

install:
	cd libmawk && $(MAKE) install
#	cd example_apps && $(MAKE) install

uninstall:
	cd libmawk && $(MAKE) uninstall
#	cd example_apps && $(MAKE) uninstall

linstall:
	cd libmawk && $(MAKE) linstall
#	cd example_apps && $(MAKE) linstall

clean:
#	cd example_apps && $(MAKE) clean
	cd awklib && $(MAKE) clean
	cd libmawk && $(MAKE) clean

distclean:
#	cd example_apps && $(MAKE) distclean
	cd awklib && $(MAKE) distclean
	cd libmawk && $(MAKE) distclean
