=== debian/changelog ===
libmawk (1.0.0-3) unstable; urgency=medium

  * have -dev package depend on the lib package, closes: #916622

 -- Bdale Garbee <bdale@gag.com>  Mon, 24 Dec 2018 13:08:51 -0700

libmawk (1.0.0-2) unstable; urgency=medium

  * add LGPL-2.1+ reference for scconfig library to debian/copyright

 -- Bdale Garbee <bdale@gag.com>  Sun, 25 Nov 2018 12:58:08 -0700

libmawk (1.0.0-1) unstable; urgency=medium

  * initial packaging, with most of the work done by Tibor Palinkas 
  * patch symlink creation to meet Debian requirements, will be merged by
    upstream in the next release

 -- Bdale Garbee <bdale@gag.com>  Fri, 23 Nov 2018 11:12:09 -0700
