## libmawk 1.0.1

=== src/libmawk/Makefile ===
--- 
+++ 
@@ -122,17 +122,30 @@
 install_ :  lmawk libmawk.so
 	$(MKDIR) $(BINDIR)
 	$(MKDIR) $(MANDIR)
+	$(MKDIR) $(MAN3DIR)
+	$(MKDIR) $(MAN7DIR)
 	$(MKDIR) $(INCDIR)
-	$(MKDIR) $(LIBDIR)
+	$(MKDIR) $(LIBARCHDIR)
 	$(CP) $(PWD)/lmawk $(BINDIR)
 	$(CHMODX)  $(BINDIR)/lmawk
 	$(CP)  $(PWD)/man/lmawk.1  $(MAWKMAN)
+	$(CP)  $(PWD)/man/libmawk_append_input.3libmawk         $(MAN3DIR)/libmawk_append_input.3libmawk
+	$(CP)  $(PWD)/man/libmawk_call_function.3libmawk        $(MAN3DIR)/libmawk_call_function.3libmawk
+	$(CP)  $(PWD)/man/libmawk_cell_destroy.3libmawk         $(MAN3DIR)/libmawk_cell_destroy.3libmawk
+	$(CP)  $(PWD)/man/libmawk_get_var.3libmawk              $(MAN3DIR)/libmawk_get_var.3libmawk
+	$(CP)  $(PWD)/man/libmawk_initialize.3libmawk           $(MAN3DIR)/libmawk_initialize.3libmawk
+	$(CP)  $(PWD)/man/libmawk_initialize_stage.3libmawk     $(MAN3DIR)/libmawk_initialize_stage.3libmawk
+	$(CP)  $(PWD)/man/libmawk_register_function.3libmawk    $(MAN3DIR)/libmawk_register_function.3libmawk
+	$(CP)  $(PWD)/man/libmawk_run_main.3libmawk             $(MAN3DIR)/libmawk_run_main.3libmawk
+	$(CP)  $(PWD)/man/libmawk_set_cell.3libmawk             $(MAN3DIR)/libmawk_set_cell.3libmawk
+	$(CP)  $(PWD)/man/libmawk_uninitialize.3libmawk         $(MAN3DIR)/libmawk_uninitialize.3libmawk
+	$(CP)  $(PWD)/man/example.7libmawk                      $(MAN7DIR)/example.7libmawk
 	$(CHMOD)  0644  $(MAWKMAN)
-	$(CP) $(PWD)/libmawk.so $(LIBDIR)/libmawk.so.$(SOVER1).$(SOVER2).$(SOVER3)
-	rm $(LIBDIR)/libmawk.so.$(SOVER1).$(SOVER2) $(LIBDIR)/libmawk.so.$(SOVER1) 2>/dev/null ; true
-	ln -s libmawk.so.$(SOVER1).$(SOVER2).$(SOVER3) $(LIBDIR)/libmawk.so.$(SOVER1).$(SOVER2)
-	ln -s libmawk.so.$(SOVER1).$(SOVER2) $(LIBDIR)/libmawk.so.$(SOVER1)
-	ln -s libmawk.so.$(SOVER1) $(LIBDIR)/libmawk.so
+	$(CP) $(PWD)/libmawk.so $(LIBARCHDIR)/libmawk.so.$(SOVER1).$(SOVER2).$(SOVER3)
+	rm $(LIBARCHDIR)/libmawk.so.$(SOVER1).$(SOVER2) $(LIBARCHDIR)/libmawk.so.$(SOVER1) 2>/dev/null ; true
+	ln -s libmawk.so.$(SOVER1).$(SOVER2).$(SOVER3) $(LIBARCHDIR)/libmawk.so.$(SOVER1).$(SOVER2)
+	ln -s libmawk.so.$(SOVER1).$(SOVER2).$(SOVER3) $(LIBARCHDIR)/libmawk.so.$(SOVER1)
+	ln -s libmawk.so.$(SOVER1) $(LIBARCHDIR)/libmawk.so
 	for h in $(IHEADERS); do $(CP) $(PWD)/$$h $(INCDIR)/$$h; done
 	$(CP) $(PWD)/../libmawk.h $(INCDIR)/../libmawk.h
