=== debian/changelog ===
libmawk (1.0.1-1) unstable; urgency=medium

  * new upstream version
  * should build on s390x, closes: #914677

 -- Bdale Garbee <bdale@gag.com>  Tue, 26 Feb 2019 10:33:47 -0700
