## libmawk 1.0.2

=== src/libmawk/Makefile ===
--- 
+++ 
@@ -126,7 +126,7 @@
 	$(MKDIR) $(MAN7DIR)
 	$(MKDIR) $(INCDIR)
 	$(MKDIR) $(LIBARCHDIR)
-	$(CP) $(PWD)/lmawk $(BINDIR)
+	$(CP) $(PWD)/lmawk $(BINDIR)/lmawk
 	$(CHMODX)  $(BINDIR)/lmawk
 	$(CP)  $(PWD)/man/lmawk.1  $(MAWKMAN)
 	$(CP)  $(PWD)/man/libmawk_append_input.3libmawk         $(MAN3DIR)/libmawk_append_input.3libmawk
@@ -149,6 +149,11 @@
 	for h in $(IHEADERS); do $(CP) $(PWD)/$$h $(INCDIR)/$$h; done
 	$(CP) $(PWD)/../libmawk.h $(INCDIR)/../libmawk.h
 
+uninstall:
+	$(RM) $(BINDIR)/lmawk $(MAWKMAN) $(MAN3DIR)/libmawk_append_input.3libmawk $(MAN3DIR)/libmawk_call_function.3libmawk $(MAN3DIR)/libmawk_cell_destroy.3libmawk $(MAN3DIR)/libmawk_get_var.3libmawk $(MAN3DIR)/libmawk_initialize.3libmawk $(MAN3DIR)/libmawk_initialize_stage.3libmawk $(MAN3DIR)/libmawk_register_function.3libmawk $(MAN3DIR)/libmawk_run_main.3libmawk $(MAN3DIR)/libmawk_set_cell.3libmawk $(MAN3DIR)/libmawk_uninitialize.3libmawk $(MAN7DIR)/example.7libmawk $(LIBARCHDIR)/libmawk.so.$(SOVER1).$(SOVER2).$(SOVER3) $(LIBARCHDIR)/libmawk.so.$(SOVER1).$(SOVER2) $(LIBARCHDIR)/libmawk.so.$(SOVER1) $(LIBARCHDIR)/libmawk.so
+	for h in $(IHEADERS); do $(RM) $(INCDIR)/$$h; done
+	$(RM) $(INCDIR)/../libmawk.h
+
 install:
 	make install_ CP="cp"
 
@@ -156,6 +161,7 @@
 	make install_ CP="ln -s"
 
 
+
 rexp/rexp.o: rexp/rexp.c
 	$(CC) -c $(CFLAGS) -o rexp/rexp.o rexp/rexp.c
 
@@ -172,8 +178,6 @@
 	$(CC) -c $(CFLAGS) -o rexp/rexp3.o rexp/rexp3.c
 
 $(NUM_OBJ): $(NUM_SRC) num.h
-
-linstall: install
 
 init_nocomp.o: init_nocomp.c
 	$(CC) -c $(CFLAGS) -o init_nocomp.o init_nocomp.c
