=== debian/changelog ===
libmawk (1.0.2-3) unstable; urgency=medium

  * trivial patch to allow for compilation with GCC 10, closes: #957451

 -- Bdale Garbee <bdale@gag.com>  Fri, 07 Aug 2020 08:49:48 -0600

libmawk (1.0.2-2) unstable; urgency=medium

  * source-only upload to allow migration to testing, closes: #951449

 -- Bdale Garbee <bdale@gag.com>  Tue, 18 Feb 2020 11:47:33 -0700

libmawk (1.0.2-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 10 Jul 2019 10:28:24 -0600
