=== debian/control ===
Source: libmawk
Section: libs
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.3
Homepage: http://repo.hu/projects/libmawk
Vcs-Git: https://salsa.debian.org/electronics-team/libmawk.git
Vcs-Browser: https://salsa.debian.org/electronics-team/libmawk

Package: libmawk1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: embeddable mawk lib
 Libmawk is a fork of the popular awk implementation mawk, and aims to be
 the lightweight script language programmers embed in their application.
 .
 This implementation also supports some minor extensions over mawk:
  - dynamic awk function calls from awk scripts (by name in string)
  - dynamic variables (access variable by name in string)
  - include "scriptname.awk"
 .
 Besides the shared object, an lmawk binary is also installed, which is
 command-line-compatible with mawk but provides all those extra features.

Package: libmawk-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, libmawk1 (>= ${source:Version}), libmawk1 (<< ${source:Version}.1~)
Description: embeddable mawk lib
 Libmawk is a fork of the popular awk implementation mawk, and aims to be
 the lightweight script language programmers embed in their application.
 .
 This package constains all header files to allow applications to compile
 with embedded awk scripting.
