=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack.*$// \
  http://repo.hu/projects/libmawk/releases/libmawk-(.*)\.tar\.gz
