## libmawk 1.0.4

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 all:
 	cd libmawk && $(MAKE)
+	cd awklib && $(MAKE)
 #	cd example_apps && $(MAKE) all
 
 test:
@@ -7,14 +8,17 @@
 
 install:
 	cd libmawk && $(MAKE) install
+	cd awklib && $(MAKE) install
 #	cd example_apps && $(MAKE) install
 
 uninstall:
 	cd libmawk && $(MAKE) uninstall
+	cd awklib && $(MAKE) uninstall
 #	cd example_apps && $(MAKE) uninstall
 
 linstall:
 	cd libmawk && $(MAKE) linstall
+	cd awklib && $(MAKE) linstall
 #	cd example_apps && $(MAKE) linstall
 
 clean:
