=== src/libmawk/regression/zfifo/Makefile ===
CFLAGS = -g -I.

OBJS=zfifo_test.o zfifo.o

all: zfifo_test

zfifo_test: $(OBJS)
	$(CC) $(OBJS) -o $@

zfifo.c zfifo.h: ../../zfifo.c ../../zfifo.h
	cp ../../zfifo.c .
	cp ../../zfifo.h .

zfifo.o: zfifo.c zfifo.h
	$(CC) -c $(CFLAGS) zfifo.c -o $@

zfifo_test.o: zfifo.h

clean:
	rm $(OBJS) zfifo_test zfifo.c zfifo.h 2>/dev/null; true
