=== debian/changelog ===
libmawk (1.0.4-5) unstable; urgency=medium

  * move libmawk into the Ringdove suite on salsa
  * add -std=c17 to innoculate against gcc 15 changes, closes: #1097229

 -- Bdale Garbee <bdale@gag.com>  Sat, 06 Sep 2025 11:25:44 -0600

libmawk (1.0.4-4) unstable; urgency=high

  * fix parallel build race condition, closes: #1106399

 -- Bdale Garbee <bdale@gag.com>  Mon, 02 Jun 2025 12:10:13 -0600

libmawk (1.0.4-3) unstable; urgency=medium

  * disable link time optimization per upstream, closes: #1015502

 -- Bdale Garbee <bdale@gag.com>  Mon, 11 Mar 2024 12:06:08 -0600

libmawk (1.0.4-2) unstable; urgency=medium

  * fix build after build by cleaning harder, closes: #1045876

 -- Bdale Garbee <bdale@gag.com>  Mon, 11 Mar 2024 06:12:38 -0600

libmawk (1.0.4-1) unstable; urgency=medium

  * new upstream version, closes: #1065763

 -- Bdale Garbee <bdale@gag.com>  Mon, 11 Mar 2024 05:52:40 -0600

libmawk (1.0.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062412

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 14:03:48 +0000
