=== debian/control ===
--- 
+++ 
@@ -3,13 +3,16 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 11)
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 11)
 Standards-Version: 4.1.3
 Homepage: http://repo.hu/projects/libmawk
-Vcs-Git: https://salsa.debian.org/electronics-team/libmawk.git
-Vcs-Browser: https://salsa.debian.org/electronics-team/libmawk
+Vcs-Git: https://salsa.debian.org/electronics-team/ringdove-eda/libmawk.git
+Vcs-Browser: https://salsa.debian.org/electronics-team/ringdove-eda/libmawk
 
-Package: libmawk1
+Package: libmawk1t64
+Provides: ${t64:Provides}
+Replaces: libmawk1
+Breaks: libmawk1 (<< ${source:Version})
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: embeddable mawk lib
@@ -27,7 +30,7 @@
 Package: libmawk-dev
 Section: libdevel
 Architecture: all
-Depends: ${misc:Depends}, ${shlibs:Depends}, libmawk1 (>= ${source:Version}), libmawk1 (<< ${source:Version}.1~)
+Depends: ${misc:Depends}, ${shlibs:Depends}, libmawk1t64 (>= ${source:Version}), libmawk1t64 (<< ${source:Version}.1~)
 Description: embeddable mawk lib
  Libmawk is a fork of the popular awk implementation mawk, and aims to be
  the lightweight script language programmers embed in their application.
