=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE = 1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export DEB_BUILD_MAINT_OPTIONS = optimize=-lto

# resolve FTBFS with gcc 15 until upstream comes up with a better solution
CFLAGS += -std=c17

%:
	dh $@

override_dh_auto_configure:
	./configure \
    --prefix=/usr \
    --LDFLAGS='$(LDFLAGS)' \
    --CFLAGS='$(CFLAGS) $(CPPFLAGS)'

override_dh_auto_clean:
	# only try to run dh_auto_clean if configure has been run
	test -f src/libmawk/Makefile.conf && dh_auto_clean || true
	# clean up some upstream make dregs
	rm -f scconfig/config.cache
	rm -f scconfig/config.log
	rm -f src/libmawk/regression/fpe/fpetest3.tmp
	rm -f src/libmawk/regression/zfifo/zfifo.c
	rm -f src/libmawk/regression/zfifo/zfifo.h
