=== doc/Makefile ===
all:

include ../src/libmawk/Makefile.conf

install:
	$(MKDIR) $(DOCDIR)
	$(CP) $(PWD)/*.html $(DOCDIR)
