=== src/example_apps/Makefile ===
APPS= \
 10_run \
 12_input \
 12_multi \
 15_call \
 15_get_array \
 15_get_scalar \
 20_init_wired \
 20_uninit_staged \
 25_set_array \
 30_out_pipes \
 31_out_pipes_manual \
 50_runlimit \
 51_blocking_fifo \
 70_c_func \
 71_c_func_call \
 90_custom_array \
 90_custom_vio \
 90_fn_validation \
 91_custom_vio_re

all:
	for n in $(APPS); do cd $$n && make all && cd ..; done

clean:
	for n in $(APPS); do cd $$n && make clean && cd ..; done

test:
	for n in $(APPS); do cd $$n && make -s test; cd ..; done
