=== src/libmawk/Makefile ===
--- 
+++ 
@@ -142,7 +142,7 @@
 	$(CP)  $(PWD)/man/example.7libmawk                      $(MAN7DIR)/example.7libmawk
 	$(CHMOD)  0644  $(MAWKMAN)
 	$(CP) $(PWD)/libmawk.so $(LIBARCHDIR)/libmawk.so.$(SOVER1).$(SOVER2).$(SOVER3)
-	rm $(LIBARCHDIR)/libmawk.so.$(SOVER1).$(SOVER2) $(LIBARCHDIR)/libmawk.so.$(SOVER1) 2>/dev/null ; true
+	rm $(LIBARCHDIR)/libmawk.so $(LIBARCHDIR)/libmawk.so.$(SOVER1).$(SOVER2) $(LIBARCHDIR)/libmawk.so.$(SOVER1) 2>/dev/null ; true
 	ln -s libmawk.so.$(SOVER1).$(SOVER2).$(SOVER3) $(LIBARCHDIR)/libmawk.so.$(SOVER1).$(SOVER2)
 	ln -s libmawk.so.$(SOVER1).$(SOVER2).$(SOVER3) $(LIBARCHDIR)/libmawk.so.$(SOVER1)
 	ln -s libmawk.so.$(SOVER1) $(LIBARCHDIR)/libmawk.so
