=== src/example_apps/50_runlimit/Makefile ===
ROOT=../..

all: app

include $(ROOT)/libmawk/Makefile.conf
include ../Makefile.common

OBJS = app.o
CFLAGS = -I$(ROOT)

app: $(OBJS) $(ROOT)/libmawk/libmawk.a
	$(CC) $(LDFLAGS) $(OBJS) $(ROOT)/libmawk/libmawk.a -o $@ $(MATHLIB)

app.o: app.c

run: app
	./app

clean:
	rm -f $(OBJS) app

distclean: clean
