=== debian/changelog ===
libmawk (1.0.5-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 17 Sep 2025 19:51:13 -0600
