=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Bdale Garbee <bdale@gag.com>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 11)
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 11)
 Standards-Version: 4.1.3
 Homepage: http://repo.hu/projects/libmawk
 Vcs-Git: https://salsa.debian.org/electronics-team/ringdove-eda/libmawk.git
