=== debian/watch ===
version=4
opts=dversionmangle=s/\+repack.*$// \
  http://repo.hu/projects/libmawk/releases/libmawk-(.*)\.tar\.gz
